#!/usr/bin/perl
# this file is used to generate the blacklist... actually, this only serves as a
# seed for it, obtained by calcuating word frequencies in the ALL_MOVIES.txt file.

use Data::Dumper;

use IMDB::Film;

my $DEBUG = 1;
$| = 1;

my $file = "./ALL_MOVIES.txt";
my %hash;

open IN, "<$file";
while (<IN>){
	while (/([a-zA-Z0-9]+)/g){
		$hash{$1}++; # used to create the reverse hash to create blacklist
	}
}
close IN;

my %vals;
foreach my $key (keys %hash){
        $vals{$hash{$key}} .= $key." ";
}

foreach my $key (sort {$b<=>$a} keys %vals){
        print "$key -> $vals{$key}\n";
}


exit;
